com.lowagie.text.rtf.text

## Class RtfChapter

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.text.RtfSection
    - - com.lowagie.text.rtf.text.RtfChapter

All Implemented Interfaces:
  RtfBasicElement, RtfElementInterface

    public class RtfChapter
    extends RtfSection

The RtfChapter wraps a Chapter element. INTERNAL CLASS

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

### Field Summary

### Fields inherited from class com.lowagie.text.rtf.text.RtfSection

`items, title`

### Fields inherited from class com.lowagie.text.rtf.RtfElement

`document, inHeader, inTable`

### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

### Constructor Summary

Constructors
Constructor and Description
`RtfChapter(RtfDocument doc, Chapter chapter)` Constructs a RtfChapter for a given Chapter

### Method Summary

Methods
`void` `writeContent(java.io.OutputStream result)` Writes the RtfChapter and its contents

### Methods inherited from class com.lowagie.text.rtf.text.RtfSection

`setInHeader, setInTable`

### Methods inherited from class com.lowagie.text.rtf.RtfElement

`intToByteArray, isInTable, setRtfDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RtfChapter

    public RtfChapter(RtfDocument doc,
              Chapter chapter)

Constructs a RtfChapter for a given Chapter

Parameters:
  `doc` - The RtfDocument this RtfChapter belongs to
  `chapter` - The Chapter this RtfChapter is based on

### Method Detail

#### writeContent

    public void writeContent(java.io.OutputStream result)
                      throws java.io.IOException

Writes the RtfChapter and its contents

Specified by:
  `writeContent` in interface `RtfBasicElement`
Overrides:
  `writeContent` in class `RtfSection`
Parameters:
  `result` - The `OutputStream` to write the content to
Throws:
  `java.io.IOException`